"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ReadiumView = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _hooks = require("./hooks");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ReadiumView = _ref => {
  let {
    file,
    settings,
    location,
    onLocationChange,
    onTableOfContents
  } = _ref;
  const readerRef = (0, _hooks.useReaderRef)({
    file,
    onLocationChange,
    onTableOfContents
  });
  const reader = readerRef.current;
  (0, _hooks.useSettingsObserver)(reader, settings);
  (0, _hooks.useLocationObserver)(reader, location);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, !reader && /*#__PURE__*/_react.default.createElement("div", {
    style: styles.loader
  }, "Loading reader..."), /*#__PURE__*/_react.default.createElement("div", {
    id: "D2Reader-Container",
    style: styles.d2Container
  }, reader && /*#__PURE__*/_react.default.createElement("button", {
    onClick: reader.previousPage,
    style: styles.button
  }, "\u2039"), /*#__PURE__*/_react.default.createElement("main", {
    style: styles.maximize,
    tabIndex: -1,
    id: "iframe-wrapper"
  }, /*#__PURE__*/_react.default.createElement("div", {
    id: "reader-loading",
    className: "loading",
    style: styles.loader
  }), /*#__PURE__*/_react.default.createElement("div", {
    id: "reader-error",
    className: "error"
  })), reader && /*#__PURE__*/_react.default.createElement("button", {
    onClick: reader.nextPage,
    style: styles.button
  }, "\u203A")));
};

exports.ReadiumView = ReadiumView;

const styles = _reactNative.StyleSheet.create({
  container: {
    width: '100%',
    height: '100%'
  },
  d2Container: {
    width: '100%',
    height: '100%',
    display: 'flex'
  },
  maximize: {
    width: 'calc(100% - 100px)',
    height: '100%',
    display: 'flex'
  },
  button: {
    width: 50,
    fontSize: 100,
    backgroundColor: 'transparent',
    border: 'none'
  },
  loader: {
    width: '100%',
    height: '100%',
    textAlign: 'center',
    position: 'relative',
    top: 'calc(50% - 10px)'
  }
});
//# sourceMappingURL=ReadiumView.js.map