"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useLocationObserver = void 0;

var _useDeepCompare = require("use-deep-compare");

const useLocationObserver = (reader, location) => {
  (0, _useDeepCompare.useDeepCompareEffect)(() => {
    if (reader && location) {
      // NOTE: technically this is a Link | Locator. However, under the hood the
      // R2D2BC is converting Links to locators, so just force the type here.
      reader.goTo(location);
    }
  }, [location, !!reader]);
};

exports.useLocationObserver = useLocationObserver;
//# sourceMappingURL=useLocationObserver.js.map