"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useReaderRef = void 0;

var _react = require("react");

var _reader = _interopRequireDefault(require("@d-i-t-a/reader"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useReaderRef = _ref => {
  let {
    file,
    onLocationChange,
    onTableOfContents
  } = _ref;
  const readerRef = (0, _react.useRef)(null);
  (0, _react.useEffect)(() => {
    _reader.default.load({
      url: new URL(file.url),
      lastReadingPosition: file.initialLocation,
      api: {
        updateCurrentLocation: async location => {
          if (onLocationChange) onLocationChange(location);
          return location;
        }
      },
      injectables: injectables
    }).then(r => {
      if (onTableOfContents) {
        onTableOfContents(r.tableOfContents);
      }

      readerRef.current = r;
    });
  }, []);
  return readerRef;
}; // NOTE: right now we're serving these through statically.io, which is just
// pulling them from Github... Might not be the best way and maybe we should
// consider bundling them with the library.


exports.useReaderRef = useReaderRef;
const injectables = [{
  type: "style",
  url: "https://cdn.statically.io/gh/d-i-t-a/R2D2BC/production/viewer/readium-css/ReadiumCSS-before.css",
  r2before: true
}, {
  type: "style",
  url: "https://cdn.statically.io/gh/d-i-t-a/R2D2BC/production/viewer/readium-css/ReadiumCSS-default.css",
  r2default: true
}, {
  type: "style",
  url: "https://cdn.statically.io/gh/d-i-t-a/R2D2BC/production/viewer/readium-css/ReadiumCSS-after.css",
  r2after: true
}];
//# sourceMappingURL=useReaderRef.js.map